### Class

# Ide PkconTransfer

#### Description

    final class Ide.PkconTransfer : Ide.Transfer {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeTransfer
- IdeObject
- GObject

#### Constructors

###### ide_pkcon_transfer_new

No description available.

#### Instance methods

##### Methods inherited from IdeTransfer (14)

###### ide_transfer_cancel

No description available.

###### ide_transfer_create_notification

Creates a new `IdeNotification` that is updated with the progress of the `IdeTransfer`. This is useful when you need to bridge an `IdeTransfer` into something that can be displayed to the user.

Available since: 3.32

###### ide_transfer_execute_async

No description available.

###### ide_transfer_execute_finish

No description available.

###### ide_transfer_get_active

No description available.

###### ide_transfer_get_completed

No description available.

###### ide_transfer_get_icon_name

No description available.

###### ide_transfer_get_progress

No description available.

###### ide_transfer_get_status

No description available.

###### ide_transfer_get_title

No description available.

###### ide_transfer_set_icon_name

No description available.

###### ide_transfer_set_progress

No description available.

###### ide_transfer_set_status

No description available.

###### ide_transfer_set_title

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.PkconTransfer:packages

No description available.

##### Properties inherited from IdeTransfer (6)

###### Ide.Transfer:active

No description available.

###### Ide.Transfer:completed

No description available.

###### Ide.Transfer:icon-name

No description available.

###### Ide.Transfer:progress

No description available.

###### Ide.Transfer:status

No description available.

###### Ide.Transfer:title

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeTransfer (1)

###### Ide.Transfer::cancelled

No description available.

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdePkconTransferClass {
      IdeTransferClass parent_class;

    }

###### Class members

`parent_class` |
    IdeTransferClass
| No description available.